### Common core types

These are accesor methods to retrieve the `MonoClass *` handle for the various built-in CLI types.
`mono_get_object_class`
Syntax
MonoClass* mono_get_object_class (void)

Return value
The `MonoClass*` for the `System.Object` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Object` .
`mono_get_int16_class`
Syntax
MonoClass* mono_get_int16_class (void)

Return value
The `MonoClass*` for the `System.Int16` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Int16` .
`mono_get_int32_class`
Syntax
MonoClass* mono_get_int32_class (void)

Return value
The `MonoClass*` for the `System.Int32` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Int32` .
`mono_get_int64_class`
Syntax
MonoClass* mono_get_int64_class (void)

Return value
The `MonoClass*` for the `System.Int64` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Int64` .
`mono_get_double_class`
Syntax
MonoClass* mono_get_double_class (void)

Return value
The `MonoClass*` for the `System.Double` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Double` (64-bit floating points).
`mono_get_enum_class`
Syntax
MonoClass* mono_get_enum_class (void)

Return value
The `MonoClass*` for the `System.Enum` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Enum` .
`mono_get_intptr_class`
Syntax
MonoClass* mono_get_intptr_class (void)

Return value
The `MonoClass*` for the `System.IntPtr` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.IntPtr` .
`mono_get_sbyte_class`
Syntax
MonoClass* mono_get_sbyte_class (void)

Return value
The `MonoClass*` for the `System.SByte` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.SByte`.
`mono_get_single_class`
Syntax
MonoClass* mono_get_single_class (void)

Return value
The `MonoClass*` for the `System.Single` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Single` (32-bit floating points).
`mono_get_string_class`
Syntax
MonoClass* mono_get_string_class (void)

Return value
The `MonoClass*` for the `System.String` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.String` .
`mono_get_thread_class`
Syntax
MonoClass* mono_get_thread_class (void)

Return value
The `MonoClass*` for the `System.Threading.Thread` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Threading.Thread` .
`mono_get_uint16_class`
Syntax
MonoClass* mono_get_uint16_class (void)

Return value
The `MonoClass*` for the `System.UInt16` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.UInt16` .
`mono_get_uint32_class`
Syntax
MonoClass* mono_get_uint32_class (void)

Return value
The `MonoClass*` for the `System.UInt32` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.UInt32` .
`mono_get_uint64_class`
Syntax
MonoClass* mono_get_uint64_class (void)

Return value
The `MonoClass*` for the `System.UInt64` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.UInt64` .
`mono_get_uintptr_class`
Syntax
MonoClass* mono_get_uintptr_class (void)

Return value
The `MonoClass*` for the `System.UIntPtr` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.UIntPtr` .
`mono_get_void_class`
Syntax
MonoClass* mono_get_void_class (void)

Return value
The `MonoClass*` for the `System.Void` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Void` .
`mono_get_array_class`
Syntax
MonoClass* mono_get_array_class (void)

Return value
The `MonoClass*` for the `System.Array` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Array` .
`mono_get_boolean_class`
Syntax
MonoClass* mono_get_boolean_class (void)

Return value
The `MonoClass*` for the `System.Boolean` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Boolean` .
`mono_get_byte_class`
Syntax
MonoClass* mono_get_byte_class (void)

Return value
The `MonoClass*` for the `System.Byte` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Byte` .
`mono_get_char_class`
Syntax
MonoClass* mono_get_char_class (void)

Return value
The `MonoClass*` for the `System.Char` type.
Description
Use this function to get the `MonoClass*` that the runtime is using for `System.Char` .